$(function() {
	var enabled = null;
	function enableHanNomIme() {
		var elements = jQuery("input[type='text'],input:not([type]),textarea");
		if (enabled === null) {
			elements.ime({
				candidate_list: true,
				method: 1,
				position: 'float',
				space_select: true,
				return_select: true,
				background: 'dodgerblue',
				text_color: 'white',
				remainder_color: 'yellow'
			});
		} else {
			elements.ime('update', {
				method: 1,
				candidate_list: true
			});
		}
		enabled = true;
	}
	function disableHanNomIme() {
		var elements = jQuery("input[type='text'], textarea");
		elements.ime('update', {
			method: 0,
			candidate_list: false
		});
		enabled = false;
	}

	chrome.runtime.onMessage.addListener(
		function(request, sender, sendResponse) {
			if (request.method == "getState"){
				sendResponse({data: enabled ? 'enabled' : 'disabled'});
			} else if (request.method == "enableIme"){
				enableHanNomIme();
				sendResponse({ });
			} else if (request.method == "disableIme"){
				disableHanNomIme();
				sendResponse({ });
			}
		}
	);
	
});
